Bug 736169 - yum from Fedora 15 has resolution troubles after a distro upgrade
Summary: yum from Fedora 15 has resolution troubles after a distro upgrade
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 21:29 UTC by Michal Jaegermann
Modified: 2014-01-21 23:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:59:26 UTC


Attachments (Terms of Use)
yum_save_tx-.... file after a failed transaction (572 bytes, text/plain)
2011-09-06 21:31 UTC, Michal Jaegermann
no flags Details

Description Michal Jaegermann 2011-09-06 21:29:22 UTC
Description of problem:

A Fedora 14 installation was upgraded to Fedora 15.  One of packages in the original was gthumb-2.12.3-1.fc14.  Running a post-upgrade update for "leftover" packages ended up with:

gthumb-2.12.3-2.fc15.x86_64.rpm                         | 3.9 MB     00:02     
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libclutter-gtk-0.10.so.0()(64bit) is needed by gthumb-2.12.3-2.fc15.x86_64

If there is more packages in such transaction then cascading errors are killing the whole thing; even if '--skip-broken' is used.

To make things more interesting 

yum provides 'libclutter-gtk-0.10.so.0()(64bit)'

if is finding correctly clutter-gtk010-0.10.8-4.fc15.x86_64 package and installing it before such attempt as above allows to proceed.  Also
'yum remove gthumb; yum install gthumb' does that correctly.  Only an update like the one above fails.  What gives?

A check of a failed transaction with 'yum -d5 ...' prints this:

Resolving Dependencies
--> Running transaction check
---> Package gthumb.x86_64 0:2.12.3-1.fc14 will be updated
Checking deps for gthumb.x86_64 0:2.12.3-1.fc14 - ud
---> Package gthumb.x86_64 0:2.12.3-2.fc15 will be an update
Checking deps for gthumb.x86_64 0:2.12.3-2.fc15 - u
looking for ('libc.so.6(GLIBC_2.14)(64bit)', None, (None, None, None)) as a requirement of gthumb.x86_64 0:2.12.3-2.fc15 - u
--> Finished Dependency Resolution
Dependency Process ending
Depsolve time: 1.943

Version-Release number of selected component (if applicable):
yum-3.2.29-9.fc15

How reproducible:
always

Steps to Reproduce:
1. On Fedora 15 installation run 'yum remove clutter-gtk010'.  Through dependencies this will remove also gthumb if it was present.
2. Retrieve gthumb-2.12.3-1.fc14.x86_64.rpm package and 'rpm -ivh --nodeps ...'
with this package.
3. Try 'yum update gthumb' and see it fail.
  
Additional info:
This is "not that big" installation so I cannot be sure that 'gthumb' is the only package affected in this way.  It was in this limited set I was experimention with.

I do not know at this moment if this is, or is not, x86_64 specific. 

Should this will be reported also on http://yum.baseurl.org/report, as suggested in the error message, or here is good enough?

Comment 1 Michal Jaegermann 2011-09-06 21:31:02 UTC
Created attachment 521768 [details]
yum_save_tx-.... file after a failed transaction

Comment 2 Fedora Admin XMLRPC Client 2012-04-27 15:40:32 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2012-08-07 17:59:28 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.